{ config, pkgs, ... }: {

  imports = [ <home-manager/nixos> ];

  programs.git = {
    package = pkgs.gitAndTools.gitFull;
    enable = true;
    config = {
      user = {
        name = "Joe Bellus";
        email = "joe@5sigma.io";
      };
      credential.helper = "libsecret";
    };
  };

  home-manager.users.joe = {
    home.stateVersion = "18.09";
    xdg.configFile."kitty/kitty.conf".source = ./dotfiles/kitty.conf;
    xdg.configFile."alactritty/alacritty.conf".source =
      ./dotfiles/alacritty.toml;
    xdg.configFile."hypr/hyprland.conf".source = ./dotfiles/hyprland.conf;
    xdg.configFile."hypr/hyprpaper.conf".source = ./dotfiles/hyprpaper.conf;
    xdg.configFile."waybar/config".source = ./dotfiles/waybar-config.json;
    xdg.configFile."waybar/style.css".source = ./dotfiles/waybar-style.css;
    xdg.configFile."mako/config".source = ./dotfiles/mako.conf;
    home.file.".mbsyncrc".source = ./dotfiles/mbsync.conf;
    xdg.configFile."msmtp/config".source = ./dotfiles/msmtp.conf;
    xdg.configFile."fuzzel/fuzzel.ini".source = ./dotfiles/fuzzel.ini;

    #emacs
    xdg.configFile."doom/init.el".source = ./dotfiles/emacs/init.el;
    xdg.configFile."doom/config.org".source = ./dotfiles/emacs/config.org;
    xdg.configFile."doom/packages.el".source = ./dotfiles/emacs/packages.el;
    xdg.configFile."doom/el/conduct.el".source = ./dotfiles/emacs/el/conduct.el;

    xdg.configFile."eww/eww.yuck".source = ./dotfiles/eww.yuck;
    xdg.configFile."eww/eww.css".source = ./dotfiles/eww.css;
    xdg.configFile."eww/agenda-csv.doomscript".source =
      ./scripts/agenda-csv.doomscript;
  };

}
