{ config, lib, pkgs, ... }:

{
  system.stateVersion = "23.11"; # Did you read the comment?
  nix.settings.experimental-features = [ "nix-command" "flakes" ];
  nixpkgs.config.allowUnfree = true;
  programs.fish.enable = true;

  services.pcscd.enable = true;
  programs.gnupg.agent = {
    enable = true;
    pinentryFlavor = "gnome3";
    enableSSHSupport = true;
  };

  environment.systemPackages = with pkgs; [
    neovim
    nixfmt
    hyprpaper
    kitty
    htop
    waybar
    lshw
    emacs29-pgtk
    gnupg
    pinentry
    emacsPackages.mu4e
    git
    font-awesome
    home-manager
    mako
    libinput
    notify-desktop
    fishPlugins.done
    fishPlugins.fzf-fish
    fishPlugins.forgit
    fzf
    ispell
    fishPlugins.grc
    grc
    direnv
    fd
    fprintd
    ripgrep
    usbutils
    silver-searcher
    bat
    eza
    isync
    msmtp
    screen
    libsecret
    wl-clipboard
    killall
    cmake
    gnumake
    gcc
    libtool
  ];

  fonts.packages = with pkgs; [
    (nerdfonts.override { fonts = [ "FiraCode" "DroidSansMono" ]; })
    fira-code
    jetbrains-mono
    iosevka
  ];
}
